const
	maxn = 100000;

var
	n, m, minc, maxc, minl, maxl: longint;
	a, b, c, x, y: array [1..maxn] of longint;
	i: longint;
	alpha: extended;
	j, k, l: longint;

begin
	randseed := 152890740;
	n := 20;
	l := 4;
	m := l * l;

	minc := -10;
	maxc := 10;
	minl := -10;
	maxl := 10;

	for i := 1 to n do begin
		a[i] := random(maxl - minl + 1) + minl;
		b[i] := random(maxl - minl + 1) + minl;
		c[i] := random(maxl - minl + 1) + minl;
	end;

	k := 0;
	for i := 1 to l do begin
		for j := 1 to l do begin
			inc(k);
			x[k] := i;
			y[k] := j;
		end;
	end;

	writeln(n, ' ', m);
	for i := 1 to n do begin
		writeln(a[i], ' ', b[i], ' ', c[i]);
	end;
	for i := 1 to m do begin
		writeln(x[i], ' ', y[i]);
	end;
end.